<!--
  ~ Copyright (c) 2024 LOBA
  ~ 
  ~ Permission is hereby granted, free of charge, to any person obtaining a copy of
  ~ this software and associated documentation files (the "Software"), to deal in
  ~ the Software without restriction, including without limitation the rights to
  ~ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
  ~ the Software, and to permit persons to whom the Software is furnished to do so,
  ~ subject to the following conditions:
  ~ 
  ~ The above copyright notice and this permission notice shall be included in all
  ~ copies or substantial portions of the Software.
  ~ 
  ~ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  ~ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
  ~ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
  ~ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
  ~ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  ~ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  ~ 
  ~ SPDX-License-Identifier: MIT
  ~ 
  ~ Contributors:
  ~     [name] - [contribution]
-->

<template>
    <div :class="['card-quality col-4', { highlighted: isHighlighted }]">
        <div class="card-quality-title">{{ card && card.title }}</div>
        <div class="card-quality-values">
            <div class="card-quality-value">{{ card && card.classification }}</div>
            <div :class="['card-quality-classification', getClassificationColor]"></div>
        </div>
    </div>
</template>

<script setup lang="ts">
const props = defineProps({
    card: Object,
    isHighlighted: Boolean
});

const getClassificationColor = computed(() => {
    if (props.card && props.card.classification) {
        const classification = props.card.classification;
        if (classification >= 80) {
            return 'high';
        } else if (classification >= 60) {
            return 'medium';
        } else {
            return 'low';
        }
    } else {
        return '';
    }
});
</script>
